------------------------------------------------------------------------
r38945 | gerald | 2011-09-08 10:14:01 -0700 (Thu, 08 Sep 2011) | 2 lines
Changed paths:
   M /trunk-1.4/config.nmake
   M /trunk-1.4/configure.in
   M /trunk-1.4/debian/changelog
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/version.conf

1.4.9 → 1.4.10.

------------------------------------------------------------------------
r38963 | gerald | 2011-09-11 08:04:21 -0700 (Sun, 11 Sep 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-09-11]
------------------------------------------------------------------------
r38980 | gerald | 2011-09-12 11:26:32 -0700 (Mon, 12 Sep 2011) | 2 lines
Changed paths:
   M /trunk-1.4/make-manuf

Copy over proxy and CaveBear URL fixes from the trunk.

------------------------------------------------------------------------
r39034 | gerald | 2011-09-18 08:04:23 -0700 (Sun, 18 Sep 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-09-18]
------------------------------------------------------------------------
r39128 | gerald | 2011-09-25 08:04:21 -0700 (Sun, 25 Sep 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-09-25]
------------------------------------------------------------------------
r39218 | gerald | 2011-10-02 08:04:14 -0700 (Sun, 02 Oct 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-10-02]
------------------------------------------------------------------------
r39325 | gerald | 2011-10-09 08:04:15 -0700 (Sun, 09 Oct 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-10-09]
------------------------------------------------------------------------
r39435 | gerald | 2011-10-16 08:04:15 -0700 (Sun, 16 Oct 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-10-16]
------------------------------------------------------------------------
r39512 | gerald | 2011-10-23 08:04:18 -0700 (Sun, 23 Oct 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-10-23]
------------------------------------------------------------------------
r39622 | gerald | 2011-10-26 15:46:01 -0700 (Wed, 26 Oct 2011) | 110 lines
Changed paths:
   M /trunk-1.4/AUTHORS
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-bacapp.c
   M /trunk-1.4/epan/dissectors/packet-dtn.c
   M /trunk-1.4/epan/dissectors/packet-ieee80211.c
   M /trunk-1.4/epan/dissectors/packet-pcep.c
   M /trunk-1.4/epan/dissectors/packet-per.c
   M /trunk-1.4/epan/dissectors/packet-ssl-utils.c
   M /trunk-1.4/epan/epan.c
   M /trunk-1.4/epan/proto.c
   M /trunk-1.4/epan/wslua/init_wslua.c
   M /trunk-1.4/epan/wslua/wslua.h
   M /trunk-1.4/epan/wspython/wspy_register.c
   M /trunk-1.4/epan/wspython/wspy_register.h
   M /trunk-1.4/gtk/about_dlg.c
   M /trunk-1.4/gtk/conversations_table.c
   M /trunk-1.4/gtk/export_object.c
   M /trunk-1.4/register.h

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r36246 | stig | 2011-03-22 04:40:15 -0700 (Tue, 22 Mar 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ssl-utils.c

  Close fp in error case in ssl_parse_key_list to avoid leakage.

  Coverity 597.
  ------------------------------------------------------------------------
  r38977 | wmeier | 2011-09-12 08:44:45 -0700 (Mon, 12 Sep 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bacapp.c

  From Danny Breton: Property name time-synchronization-interval(204) is incorrectly shown as time-synchronization-recipents.

  See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6336
  ------------------------------------------------------------------------
  r39061 | cmaynard | 2011-09-20 09:28:21 -0700 (Tue, 20 Sep 2011) | 3 lines
  Changed paths:
     M /trunk/gtk/export_object.c

  From DeCount via bug 6362: Increase maximum allowable number of duplicate filesi from 10 to 1000.  I modified his patch to avoid appending anything to the first filename, and other minor changes.
  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6362
  ------------------------------------------------------------------------
  r39062 | cmaynard | 2011-09-20 09:42:22 -0700 (Tue, 20 Sep 2011) | 2 lines
  Changed paths:
     M /trunk/AUTHORS

  Add DeCount for his contribution in bug 6362.
  ------------------------------------------------------------------------
  r39080 | cmaynard | 2011-09-21 10:41:12 -0700 (Wed, 21 Sep 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/export_object.c

  Don't pop up an error dialog box for every file that can't be saved.  Before, this could have potentially meant having to manually close far too many of them.
  ------------------------------------------------------------------------
  r39213 | stig | 2011-10-02 06:39:15 -0700 (Sun, 02 Oct 2011) | 1 line
  Changed paths:
     M /trunk/gtk/about_dlg.c

  Always update splash screen when action has changed.
  ------------------------------------------------------------------------
  r39214 | stig | 2011-10-02 06:39:35 -0700 (Sun, 02 Oct 2011) | 2 lines
  Changed paths:
     M /trunk/epan/epan.c
     M /trunk/epan/wslua/init_wslua.c
     M /trunk/epan/wslua/wslua.h
     M /trunk/gtk/about_dlg.c
     M /trunk/register.h

  Added register action for loading Lua plugins.
  Removed an unused argument to wslua_init().
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r38948 | cmaynard | 2011-09-08 19:11:53 -0700 (Thu, 08 Sep 2011) | 3 lines
  Changed paths:
     M /trunk/gtk/conversations_table.c

  Fix locale problem with "Rel Start" time, both with display and copy to CSV, by replacing rel_time_to_secs_str() with nstime_to_sec().  Problem reported on ask by packethunter.
  Ref: http://ask.wireshark.org/questions/6207/decimal-point-vs-decimal-comma
  ------------------------------------------------------------------------
  r38967 | etxrab | 2011-09-11 12:54:11 -0700 (Sun, 11 Sep 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dtn.c

  From Michael Mann:
  Extend 64-bit SDNV decoding to Administrative Records.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4109
  ------------------------------------------------------------------------
  r39017 | etxrab | 2011-09-15 13:02:19 -0700 (Thu, 15 Sep 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-per.c

  From Pascal Quantin:
  Incorrect decoding of BIT STRING type

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6347
  ------------------------------------------------------------------------
  r39031 | cmaynard | 2011-09-16 20:58:41 -0700 (Fri, 16 Sep 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-pcep.c

  Update sub-object types of XRO to match RFC 5521.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3778.
  ------------------------------------------------------------------------
  r39221 | stig | 2011-10-02 09:19:55 -0700 (Sun, 02 Oct 2011) | 6 lines
  Changed paths:
     M /trunk/epan/proto.c
     M /trunk/epan/wspython/wspy_register.c
     M /trunk/epan/wspython/wspy_register.h
     M /trunk/gtk/about_dlg.c
     M /trunk/register.h

  Removed the protocol registration updates in the splash screen for Python
  dissectors, because it does not work as expected and causes an assert.

  Added generic splash updates for python register and handoff instead.

  This should fix bug 5431.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r39638 | gerald | 2011-10-27 10:28:26 -0700 (Thu, 27 Oct 2011) | 66 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-http.c
   M /trunk-1.4/epan/dissectors/packet-ipsec-udp.c
   M /trunk-1.4/epan/proto.c
   M /trunk-1.4/epan/proto.h
   M /trunk-1.4/gtk/main.c
   M /trunk-1.4/gtk/simple_dialog.c
   M /trunk-1.4/simple_dialog.h

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r39234 | etxrab | 2011-10-02 22:13:53 -0700 (Sun, 02 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ipsec-udp.c

  From David Mueller:
  Incorrect identification of UDP-encapsulated NAT-keepalive packets.
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6414
  ------------------------------------------------------------------------
  r39248 | stig | 2011-10-04 03:12:55 -0700 (Tue, 04 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/epan/proto.c
     M /trunk/epan/proto.h

  Add proto_unregister_field().

  This can be used to unregister fields registered in dissector UAT's.
  ------------------------------------------------------------------------
  r39258 | stig | 2011-10-04 14:06:20 -0700 (Tue, 04 Oct 2011) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-http.c

  Free duplicated strings in hf entries.
  ------------------------------------------------------------------------
  r39267 | stig | 2011-10-05 04:44:19 -0700 (Wed, 05 Oct 2011) | 2 lines
  Changed paths:
     M /trunk/epan/proto.c

  Use g_tree_steal to remove an entry without calling the destroy function.
  This because we use the destroy function to determine same_name_hfinfo.
  ------------------------------------------------------------------------
  r39268 | stig | 2011-10-05 04:44:29 -0700 (Wed, 05 Oct 2011) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-http.c

  Cleanup the unregister loop to avoid freeing wrong data.
  ------------------------------------------------------------------------
  r39266 | etxrab | 2011-10-04 22:53:53 -0700 (Tue, 04 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/gtk/main.c
     M /trunk/gtk/simple_dialog.c
     M /trunk/simple_dialog.h

  Michael Mann:
  Removed the Save button if live capture is going on when File->Quit is selected. Solves Assertion failed when doing File->Quit->Save during live capture
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1710
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r39251 | stig | 2011-10-04 11:40:56 -0700 (Tue, 04 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-http.c

  Unregister and delete allocated header fields when updating the UAT.
  Avoid double loading the UAT.
  Use the post update callback in uat_new for regenerating header_fields_hash.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r39641 | gerald | 2011-10-27 13:57:15 -0700 (Thu, 27 Oct 2011) | 100 lines
Changed paths:
   M /trunk-1.4/asn1/s1ap/packet-s1ap-template.c
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-ajp13.c
   M /trunk-1.4/epan/dissectors/packet-gsm_sms.c
   M /trunk-1.4/epan/dissectors/packet-netflow.c
   M /trunk-1.4/epan/dissectors/packet-rtps2.c
   M /trunk-1.4/epan/dissectors/packet-s1ap.c
   M /trunk-1.4/file.c
   M /trunk-1.4/tap-iousers.c
   M /trunk-1.4/wiretap/file_access.c
   M /trunk-1.4/wiretap/network_instruments.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r39277 | cmaynard | 2011-10-05 13:28:50 -0700 (Wed, 05 Oct 2011) | 2 lines
  Changed paths:
     M /trunk/tap-iousers.c

  In iousers_init(), compare "conv,ipv6" before "conv,ip" and be sure to compare all 9 characters of that string instead of only 7.  Also correct the offset when looking for a possible comma followed by an optional filter.
  ------------------------------------------------------------------------
  r39297 | etxrab | 2011-10-06 12:07:26 -0700 (Thu, 06 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/asn1/s1ap/packet-s1ap-template.c
     M /trunk/epan/dissectors/packet-s1ap.c

  Typo FT_IPv4 isf FT_IPv6.
  Fixes
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6435
  ------------------------------------------------------------------------
  r39445 | cmaynard | 2011-10-17 07:56:37 -0700 (Mon, 17 Oct 2011) | 6 lines
  Changed paths:
     M /trunk/file.c

  From Michael Mann: Add cf_callback_invoke to cf_open to tidy up the currently open file before opening a new one.  Fixes bugs 5987 and 6457.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5987
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6457
  ------------------------------------------------------------------------
  r39494 | jake | 2011-10-20 10:49:19 -0700 (Thu, 20 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gsm_sms.c

  Fix for bug 6469:
  Retrieve the fill bits in the correct amount and from the correct place.
  ------------------------------------------------------------------------
  r39506 | jake | 2011-10-21 01:32:10 -0700 (Fri, 21 Oct 2011) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rtps2.c

  Fix for bug 6449:
  Last RTPS2 submessage could have zero as octets_to_next_header.

  From me: coding style unused parameters.
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r39390 | guy | 2011-10-12 10:55:49 -0700 (Wed, 12 Oct 2011) | 9 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ajp13.c

  From Iain Arnell:

  A missing value_ptr parameter in the handling of ajp13 response headers
  led to them being displayed differently than the request headers.

  This patch also simplifies the offset/length calculation for header
  values, and skips the size for consistency with handling of other ajp13
  string values.
  ------------------------------------------------------------------------
  r39392 | wmeier | 2011-10-12 11:04:58 -0700 (Wed, 12 Oct 2011) | 12 lines
  Changed paths:
     M /trunk/wiretap/file_access.c
     M /trunk/wiretap/network_instruments.c

  From Robert Bullen: Fix for: Two minor bugs in Wiretap library:

  First bug: The Network Instruments Observer file format abbreviation is
  incorrect. It is "niobserverv" instead of "niobserver", which is probably a
  vestige from 1.4 when the abbreviation was "niobserverv9".

  Second bug: The packet header magic number field is correctly swapped the first
  time when reading the entire packet header. It is incorrectly swapped yet again
  when reporting an invalid value. Both swaps use GUINT_FROM_LE, which is a no-op
  on little-endian platforms. But the error message that is displayed to users of
  big-endian platforms will contain a byte-reversed value.
  ------------------------------------------------------------------------
  r39485 | guy | 2011-10-19 19:38:40 -0700 (Wed, 19 Oct 2011) | 14 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-netflow.c

  As bug 3954 notes, nowhere does RFC 3954 indicate that a system or
  interface scope is always 4 bytes.  For that matter, nowhere does it
  indicate that the scopes have any particular interpretation except as a
  sequence of octets.

  Get rid of the checks for a length of 4, and make ScopeSystem an
  FT_BYTES.  If, by *convention*, they're usually IPv4 or IPv6 addresses,
  somebody can throw in code to display them as such if they happen to be
  4 or 16 bytes, respectively.  Leave ScopeInterface as an integer for
  now, in case, by convention, they're interface indices, but still leave
  the length check out.

  Fixes bug 3954.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r39642 | gerald | 2011-10-27 14:13:47 -0700 (Thu, 27 Oct 2011) | 14 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-infiniband.c

Copy over r39500 from the trunk:


  ------------------------------------------------------------------------
  r39500 | gerald | 2011-10-20 16:46:04 -0700 (Thu, 20 Oct 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-infiniband.c

  From Huzaifa Sidhpurwala: Fix a null pointer dereference.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r39643 | gerald | 2011-10-27 14:17:12 -0700 (Thu, 27 Oct 2011) | 17 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/wiretap/erf.c

Copy over r39508 from the trunk:

  ------------------------------------------------------------------------
  r39508 | gerald | 2011-10-21 12:07:42 -0700 (Fri, 21 Oct 2011) | 6 lines
  Changed paths:
     M /trunk/wiretap/erf.c

  From Huzaifa Sidhpurwala of Red Hat Security Response Team:

  I found a heap-based buffer overflow, when parsing ERF file format.
  The overflow seems to be controlled by the values read from the file,
  and hence seems exploitable to me.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r39644 | gerald | 2011-10-27 14:37:58 -0700 (Thu, 27 Oct 2011) | 51 lines
Changed paths:
   M /trunk-1.4/doc/text2pcap.pod
   M /trunk-1.4/epan/proto.c
   M /trunk-1.4/epan/wslua/wslua_proto.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r39529 | guy | 2011-10-23 15:49:11 -0700 (Sun, 23 Oct 2011) | 11 lines
  Changed paths:
     M /trunk/doc/text2pcap.pod

  Speak of a "link-layer header type" rather than a "link-layer type"; a
  given link-layer type, e.g. 802.11, might have multiple header types
  (802.11, 802.11 plus various radio headers, Ethernet), and multiple
  link-layer types might have the same header type (802.11 interfaces
  might supply Ethernet headers, and Linux loopback interfaces supply
  Ethernet headers as well).

  Point to tcpdump.org's page of link-layer header types, rather than to
  the net/bpf.h header that 1) might not exist on your system and 2) might
  not be up-to-date if it does exist.
  ------------------------------------------------------------------------
  r39562 | stig | 2011-10-25 04:13:11 -0700 (Tue, 25 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_proto.c

  Added Lua error messages when:
  - Adding a INT64/UINT64 field with a value string (currently unsupported).
  - Trying to display a signed integer as hexadecimal.
  ------------------------------------------------------------------------
  r39563 | stig | 2011-10-25 04:20:54 -0700 (Tue, 25 Oct 2011) | 2 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_proto.c

  Added another Lua warning:
  - FT_FRAMENUM can not have a bitmask.
  ------------------------------------------------------------------------
  r39569 | stig | 2011-10-25 10:58:08 -0700 (Tue, 25 Oct 2011) | 1 line
  Changed paths:
     M /trunk/epan/proto.c

  Display BASE_DEC_HEX correct for int64/uint64.
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r39558 | stig | 2011-10-25 03:48:03 -0700 (Tue, 25 Oct 2011) | 1 line
  Changed paths:
     M /trunk/epan/proto.c

  Fixed using signed 64-bits integer in custom column.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r39672 | gerald | 2011-10-30 08:04:16 -0700 (Sun, 30 Oct 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-10-30]
------------------------------------------------------------------------
r39688 | gerald | 2011-10-31 09:53:15 -0700 (Mon, 31 Oct 2011) | 45 lines
Changed paths:
   M /trunk-1.4/asn1/snmp/packet-snmp-template.c
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-ber.c
   M /trunk-1.4/epan/dissectors/packet-snmp.c
   M /trunk-1.4/epan/wslua/wslua_proto.c
   M /trunk-1.4/gtk/dfilter_expr_dlg.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r39665 | stig | 2011-10-29 03:28:58 -0700 (Sat, 29 Oct 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/dfilter_expr_dlg.c

  Based on a patch provided by Prashanth in bug 6472:
  Only have one Filter Expression window.
  ------------------------------------------------------------------------
  r39673 | stig | 2011-10-30 08:55:18 -0700 (Sun, 30 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ber.c

  Increase the size of a unknown INTEGER to FT_INT64 to be able to show
  negative integers and integers up to MAXINT64.  We still don't support
  integers between MAXINT64 and MAXUINT64, which would be 9 bytes long.
  ------------------------------------------------------------------------
  r39681 | stig | 2011-10-30 14:32:27 -0700 (Sun, 30 Oct 2011) | 3 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_proto.c

  Don't ep_strdup the protocol name when register a dissector, because
  this name will be collected when loading a capture file and the name
  will be gone.
  ------------------------------------------------------------------------


Copy over by hand:


  ------------------------------------------------------------------------
  r39666 | stig | 2011-10-29 11:26:57 -0700 (Sat, 29 Oct 2011) | 4 lines
  Changed paths:
     M /trunk/asn1/snmp/packet-snmp-template.c
     M /trunk/epan/dissectors/packet-snmp.c

  Added support for big integer64 values.

  This fixes bug 6295.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
